# Class PanelNode

java.lang.Object
jspecview.common.PanelNode

public class PanelNode extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`fileName`
`String`
`frameTitle`
`String`
`id`
`boolean`
`isSelected`
`boolean`
`isSimulation`
`boolean`
`isView`
`JSVPanel`
`jsvp`
`JSVDialog`
`legend`
`JDXSource`
`source`
`JSVTreeNode`
`treeNode`

## Constructor Summary

Constructors
Constructor
Description
`PanelNode(String id, String fileName, JDXSource source, JSVPanel jsvp)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`static PanelNode`
`findNode(JSVPanel jsvp, Lst<PanelNode> panelNodes)`
Returns the tree node that is associated with a panel
`static PanelNode`
`findNodeById(String id, Lst<PanelNode> panelNodes)`
`static JDXSource`
`findSourceByNameOrId(String id, Lst<PanelNode> panelNodes)`
`static JSVPanel`
`getLastFileFirstNode(Lst<PanelNode> panelNodes)`
`Spectrum`
`getSpectrum()`
`static String`
`getSpectrumListAsString(Lst<PanelNode> panelNodes)`
`Object`
`getTreeNode()`
`static int`
`isOpen(Lst<PanelNode> panelNodes, String filePath)`
`PanelData`
`pd()`
`void`
`setFrameTitle(String name)`
`JSVDialog`
`setLegend(JSVDialog legend)`
`void`
`setTreeNode(JSVTreeNode node)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### treeNode

public JSVTreeNode treeNode

### source

public JDXSource source

### fileName

public String fileName

### jsvp

public JSVPanel jsvp

### id

public String id

### legend

public JSVDialog legend

### isSelected

public boolean isSelected

### isView

public boolean isView

### isSimulation

public boolean isSimulation

### frameTitle

public String frameTitle

## Constructor Details

### PanelNode

public PanelNode(String id, String fileName, JDXSource source, JSVPanel jsvp)

## Method Details

### setTreeNode

public void setTreeNode(JSVTreeNode node)

### getTreeNode

public Object getTreeNode()

### dispose

public void dispose()

### pd

public PanelData pd()

### getSpectrum

public Spectrum getSpectrum()

### setLegend

public JSVDialog setLegend(JSVDialog legend)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### findSourceByNameOrId

public static JDXSource findSourceByNameOrId(String id, Lst<PanelNode> panelNodes)

### findNodeById

public static PanelNode findNodeById(String id, Lst<PanelNode> panelNodes)

### findNode

public static PanelNode findNode(JSVPanel jsvp, Lst<PanelNode> panelNodes)
Returns the tree node that is associated with a panel

Parameters:
  `jsvp` -
  `panelNodes` -
Returns:
  the tree node that is associated with a panel

### getSpectrumListAsString

public static String getSpectrumListAsString(Lst<PanelNode> panelNodes)

### isOpen

public static int isOpen(Lst<PanelNode> panelNodes, String filePath)

### setFrameTitle

public void setFrameTitle(String name)

### getLastFileFirstNode

public static JSVPanel getLastFileFirstNode(Lst<PanelNode> panelNodes)